Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.ejb
Interface EJBHome

All Superinterfaces:
  java.rmi.Remote

All Known Subinterfaces:
  ManagementHome

public interface EJBHome
extends java.rmi.Remote

The EJBHome interface must be extended by all enterprise Beans' remote home interfaces. An enterprise Bean's remote home interface defines the methods that allow a remote client to create, find, and remove EJB objects, as well as home business methods that are not specific to a bean instance (Session Beans do not have finders and home methods).

The remote home interface is defined by the enterprise Bean provider and implemented by the enterprise Bean container.

Method Summary
`EJBMetaData` | `getEJBMetaData()` Obtain the EJBMetaData interface for the enterprise Bean.
`HomeHandle` | `getHomeHandle()` Obtain a handle for the remote home object.
`void` | `remove(Handle handle)` Remove an EJB object identified by its handle.
`void` | `remove(java.lang.Object primaryKey)` Remove an EJB object identified by its primary key.

Method Detail

### remove

    public void remove(Handle handle)
                throws java.rmi.RemoteException,
                       RemoveException

  Remove an EJB object identified by its handle.

  Throws:
    `RemoveException` - Thrown if the enterprise Bean or the container does not allow the client to remove the object.
    `java.rmi.RemoteException` - Thrown when the method failed due to a system-level failure.

### remove

    public void remove(java.lang.Object primaryKey)
                throws java.rmi.RemoteException,
                       RemoveException

  Remove an EJB object identified by its primary key.

  This method can be used only for an entity bean. An attempt to call this method on a session bean will result in a RemoveException.

  Throws:
    `RemoveException` - Thrown if the enterprise Bean or the container does not allow the client to remove the object.
    `java.rmi.RemoteException` - Thrown when the method failed due to a system-level failure.

### getEJBMetaData

    public EJBMetaData getEJBMetaData()
                               throws java.rmi.RemoteException

  Obtain the EJBMetaData interface for the enterprise Bean. The EJBMetaData interface allows the client to obtain information about the enterprise Bean.

  The information obtainable via the EJBMetaData interface is intended to be used by tools.

  Returns:
    The enterprise Bean's EJBMetaData interface.
  Throws:
    `java.rmi.RemoteException` - Thrown when the method failed due to a system-level failure.

### getHomeHandle

    public HomeHandle getHomeHandle()
                             throws java.rmi.RemoteException

  Obtain a handle for the remote home object. The handle can be used at later time to re-obtain a reference to the remote home object, possibly in a different Java Virtual Machine.

  Returns:
    A handle for the remote home object.
  Throws:
    `java.rmi.RemoteException` - Thrown when the method failed due to a system-level failure.

Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature

Copyright 2003 Sun Microsystems, Inc. All rights reserved.